BeanContextSupport.BCSChild (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: java.beans.beancontext, class: BeanContextSupport, class: BCSChild
Keywords: java.beans.beancontext.BeanContextSupport.BCSChild class

# Class BeanContextSupport.BCSChild

java.lang.Object
java.beans.beancontext.BeanContextSupport.BCSChild

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `BeanContextServicesSupport.BCSSChild`

Enclosing class:
  `BeanContextSupport`

protected class BeanContextSupport.BCSChild extends Object implements Serializable
A protected nested class containing per-child information in the `children` hashtable.

Since:
  1.2
See Also:
  - Serialized Form

- ## Method Summary

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.